<?php

class Headimg extends Plugin {

    function getContent($value) {
        $placeholder = '<!-- dummy Headimg Plugin -->';
        $img = false;
        if($value === false) {
            # Die Anfrage ist sitemap oder search
            if(ACTION_REQUEST !== false and $this->settings->get("use_sitemap_search") === "true") {
                global $LAYOUT_DIR, $LAYOUT_DIR_URL;
                # es gibt das Bild sitemap oder search
                if(is_file($LAYOUT_DIR."/grafiken/Headimg_".ACTION_REQUEST.".jpg"))
                    return '<img alt="" src="'.$LAYOUT_DIR_URL.'/grafiken/Headimg_'.ACTION_REQUEST.'.jpg" />';
                # es gibt das Bild sitemap oder search nicht aber das default
                elseif(is_file($LAYOUT_DIR."/grafiken/Headimg.jpg"))
                    return '<img alt="" src="'.$LAYOUT_DIR_URL.'/grafiken/Headimg.jpg" />';
            }
            $tmp = "";
            if($this->settings->get("use_default") === "true")
                $tmp = "{Headimg|use_default}";
            return $placeholder.$tmp;
        } else {
            global $LAYOUT_DIR , $LAYOUT_DIR_URL;
            $img = false;
            if($value !== "use_default") {
                global $CatPage;
                list($cat,$file) = $CatPage->split_CatPage_fromSyntax($value, true);
                if($CatPage->exists_File($cat,$file)) {
                    $img = $CatPage->get_srcFile($cat,$file,false);
                    $img = '<img alt="" src="'.$img.'" />';
                }
            }
            if($value === "use_default" and $this->settings->get("use_default") === "true" and is_file($LAYOUT_DIR."/grafiken/Headimg.jpg"))
                $img = '<img alt="" src="'.$LAYOUT_DIR_URL.'/grafiken/Headimg.jpg" />';
            if($img) {
                global $syntax;
                $syntax->pluginSelfPlaceholderData($placeholder,$img);
            }
        }
        return NULL;
    }

    function getConfig() {
        // Das muss auf jeden Fall geschehen!
        $config = array();
        $config['use_default'] = array(
            "type" => "checkbox",
            "description" => 'Standardbild verwenden'
        );
        $config['use_sitemap_search'] = array(
            "type" => "checkbox",
            "description" => "Such- und Sitemap-Bild verwenden"
        );
        return $config;
    }

    function getInfo() {
        return array(
            // Plugin-Name
            "<b>Headimg</b> Revision: 2",
            // Plugin-Version
            "2.0",
            // Kurzbeschreibung
            'Headimg erzeugt ein Bild im Template, gesteuert über die Inhaltsseiten oder durch ein Standardbild.<br />
            <br />
            Der "<b>{Headimg}</b>" Platzhalter wird im Template in die Datei <b>template.html</b> eingetragen.<br />
            <br />
            Welche Bilder angezeigt werden sollen, wird über die jeweilige Inhaltsseite gesteuert mit dem Eintrag "<b>{Headimg| Ein Bild }</b>".<br />
            <br />
            Für die Einstellungen <b>Standardbild verwenden</b> und <b>Such- und Sitemap-Bild verwenden</b> werden folgende Bilder aus dem Template-Ordner "grafiken" benutzt:<br />
            <br />
            <b>Headimg.jpg</b>
            <ul style="margin-top:.5em;">
                <li>Wenn in einer Inhaltsseite kein Bild angegeben wurde und die Einstellung <b>Standardbild verwenden</b> aktiv ist.</li>
                <li>Es wird auch verwendet, wenn die Einstellung <b>Such- und Sitemap-Bild verwenden</b> aktiv ist, es aber kein Headimg_search.jpg oder Headimg_sitemap.jpg gibt.</li>
            </ul>
            <br />
            <b>Headimg_search.jpg</b> und <b>Headimg_sitemap.jpg</b>
            <ul style="margin-top:.5em;">
                <li>werden verwendet, wenn die Einstellung <b>Such- und Sitemap-Bild verwenden</b> aktiv ist.</li>
            </ul>
            <br />',
            // Name des Autors
            "stefanbe",
            // Download-URL
            array("http://www.mozilo.de/","Templates und Plugins"),
            array('{Headimg|}' => 'Ein Bild')
            );
    }
}
?>